<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateBixoSocialCampaignsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: bixo_social_campaigns
         */
        Schema::create('bixo_social_campaigns', function ($table) {
            $table->increments('id');
            $table->integer('team_id')->nullable();
            $table->string('name', 100)->nullable();
            $table->string('ref', 30)->nullable();
            $table->enum('type', ['Yes', 'No'])->nullable();
            $table->enum('status', ['Yes', 'No'])->nullable();
            $table->tinyInteger('qualify')->nullable();
            $table->string('initial_expiry', 30)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('bixo_social_campaigns');
    }
}
