<?php

namespace Bixo\Social\Events;

use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;
use Bixo\Social\Models\User;

class UserWorkflow
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    /**
     * Create a new event instance.
     */
    public function __construct(
        public string $transition,
        public User $user,
        public array $request = [],
        public string $when = 'after'
    ) {
    }
}
