<?php

// Routes for social.

// Guard routes for campaign
Route::prefix('{guard}/social')->group(function () {

    Route::get('campaign/report/{report}', 'CampaignReportController');
    Route::patch('campaign/actions/{action}', 'CampaignActionsController');
    Route::patch('campaign/action/{campaign}/{action}', 'CampaignActionController');
    Route::patch('campaign/workflow/{campaign}/{transition}', 'CampaignWorkflowController');
    Route::resource('campaign', 'CampaignResourceController');
});

// Guard routes for user
Route::prefix('{guard}/social')->group(function () {

    Route::get('user/report/{report}', 'UserReportController');
    Route::patch('user/actions/{action}', 'UserActionsController');
    Route::patch('user/action/{user}/{action}', 'UserActionController');
    Route::patch('user/workflow/{user}/{transition}', 'UserWorkflowController');
    Route::resource('user', 'UserResourceController');
});



// Public routes for social
Route::get('socials/', 'SocialPublicController@index');
Route::get('social/{slug?}', 'SocialPublicController@show');
