<?php

namespace Bixo\Social\Providers;

use Litepie\Foundation\Support\Providers\ActionServiceProvider as ServiceProvider;

class ActionServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function actions()
    {
        return [
            \Bixo\Social\Models\Campaign::class
                 => config('bixo.social.campaign.actions')        \Bixo\Social\Models\User::class
                 => config('bixo.social.user.actions')
            ];
    }

}
