<?php

namespace Bixo\Social\Providers;

use Litepie\Foundation\Support\Providers\WorkflowServiceProvider as ServiceProvider;

class WorkflowServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = true;

    /**
     * Register the service provider.
     *
     * @return void
     */
    public function workflows()
    {
        return [
            \Bixo\Social\Models\Campaign::class 
                => config('bixo.social.campaign.workflow')        \Bixo\Social\Models\User::class 
                => config('bixo.social.user.workflow')
            ];
    }

}
